* {
    margin: 0px;
    padding: 0px;
}

html{
    width: 100%;
    height: 100%;
    color: white;
}

footer{
    background: rgba(20, 55, 79, 1);
    color: white;
    padding: 8px;
}

ul{
    text-align: center;
    list-style-type: none;
}

a{
    color: white;
    text-decoration: none;
}

#main-nav{
    position: sticky;
    top: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(20, 55, 79, 1);
    height: 80px;
    z-index: 10;
}

#loginbutton{
    background: rgba(55, 92, 117, 1);
    color: white;
    border: outset rgba(128, 165, 189, 1) 3px;
    border-radius: 10px;
    padding: 3px;
    transition: 200ms;
}

#loginbutton:hover{
    background: rgba(31, 67, 91, 1);
    border-color: rgba(104, 140, 164, 1);
}

.loginform{
    display: flex;
    flex-direction: column;
    background: rgba(31, 67, 91, 1);
    color: white;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
}

.loginform > div > *{
    margin: 5px;
}

.hamburger{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    cursor: pointer;
    width: 25px;
    height: 25px;
    margin: 5px;
    transition-duration: 500ms;
    transition-property: all;
    left: -10px;
}

.hamburger span{
    width: 25px;
    height: 2px;
    top: 0;
    left: 0;
    position: relative;
    background: white;
    transition: 500ms;
}

.nav-links{
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    align-items: center;
    list-style: none;
    position: absolute;
    background: rgba(20, 55, 79, 1);
    width: 100vw;
    height: calc(100vh - 50px);
    left: -100%;
    top: 80px;
    transition: 500ms;
    padding: 0;
    margin: 0;
    z-index: 10;
}

.nav-links li{
    margin: 12px;
}

.nav-links li a{
    text-decoration: none;
    color: white;
    font-size: 1.5rem;
}

.nav-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 90%;
}

#menu-toggle{
display: none;
}

#menu-toggle:checked ~ .nav-links{
left: 0;
}

#menu-toggle:checked ~ .hamburger span:first-child{
transform: rotate(45deg);
top: 8.25px;
}

#menu-toggle:checked ~ .hamburger span:nth-child(3){
transform: rotate(-45deg);
top: -8.25px;
}

#menu-toggle:checked ~ .hamburger span:nth-child(2){
background: transparent;
}

@media (min-width: 768px){
    .hamburger{
        display: none;
    }
    .nav-links{
        position: static;
        flex-direction: row;
        width: auto;
        height: 50px;
    }
    .nav-links li a {
        font-size: 1rem;
        padding: 5px;
    }

    #herotxt{
    left: -20vw;
    }

    #menu{
    grid-template-columns: 1fr 1fr 1fr;
    }

    .nav-container{
        width: 80%;
    }

    .loginform{
        width: 50vw;
    }
}
